JvmComponentDependencies (Gradle API 7.6.3)

Package org.gradle.api.plugins.jvm

## Interface JvmComponentDependencies

- All Superinterfaces:
    `Dependencies`, `GradleDependencies`, `PlatformDependencyModifiers`, `TestFixturesDependencyModifiers`

      @Incubating
      public interface JvmComponentDependencies
      extends PlatformDependencyModifiers, TestFixturesDependencyModifiers, GradleDependencies

  This DSL element is used to add dependencies to a component, like `JvmTestSuite`.
  - `implementation` dependencies are used at compilation and runtime.
  - `compileOnly` dependencies are used only at compilation and are not available at runtime.
  - `runtimeOnly` dependencies are not available at compilation and are used only at runtime.
  - `annotationProcessor` dependencies are used only at compilation, and are added to the annotation processor classpath
  Since:
    7.3
  See Also:
    `For more information.`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DependencyAdder` | `getAnnotationProcessor()` | Returns a `DependencyAdder` to add to the set of annotation processor dependencies.
    `DependencyAdder` | `getCompileOnly()` | Returns a `DependencyAdder` to add to the set of compile-only dependencies.
    `DependencyAdder` | `getImplementation()` | Returns a `DependencyAdder` to add to the set of implementation dependencies.
    `DependencyAdder` | `getRuntimeOnly()` | Returns a `DependencyAdder` to add to the set of runtime-only dependencies.

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.Dependencies

      `getDependencyFactory, module, module, project, project`

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.GradleDependencies

      `gradleApi, gradleTestKit, localGroovy`

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.PlatformDependencyModifiers

      `enforcedPlatform, enforcedPlatform, enforcedPlatform, enforcedPlatform, platform, platform, platform, platform`

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.TestFixturesDependencyModifiers

      `testFixtures, testFixtures, testFixtures, testFixtures`

- - ### Method Detail

    - #### getImplementation

          DependencyAdder getImplementation()

      Returns a `DependencyAdder` to add to the set of implementation dependencies.

      `implementation` dependencies are used at compilation and runtime.

      Returns:
        a `DependencyAdder` to add to the set of implementation dependencies
      Since:
        7.6

    - #### getCompileOnly

          DependencyAdder getCompileOnly()

      Returns a `DependencyAdder` to add to the set of compile-only dependencies.

      `compileOnly` dependencies are used only at compilation and are not available at runtime.

      Returns:
        a `DependencyAdder` to add to the set of compile-only dependencies
      Since:
        7.6

    - #### getRuntimeOnly

          DependencyAdder getRuntimeOnly()

      Returns a `DependencyAdder` to add to the set of runtime-only dependencies.

      `runtimeOnly` dependencies are not available at compilation and are used only at runtime.

      Returns:
        a `DependencyAdder` to add to the set of runtime-only dependencies
      Since:
        7.6

    - #### getAnnotationProcessor

          DependencyAdder getAnnotationProcessor()

      Returns a `DependencyAdder` to add to the set of annotation processor dependencies.

      `annotationProcessor` dependencies are used only at compilation, and are added to the annotation processor classpath.

      Returns:
        a `DependencyAdder` to add to the set of annotation processor dependencies
      Since:
        7.6